.header {
  --main-color: #E7000B;
  position: sticky;
  top: 0;
  background: #fff;
  z-index: 100;
  filter: drop-shadow(2px 2px 4px rgba(100, 100, 100, 0.1));
  min-height: 57px;
}

.illust-chicken {
  width: 34px;
  height: auto;
  margin-right: 12px;
  animation: swing 1s both infinite;
}

@keyframes swing {
  from {
    transform: rotate(0);
  }

  50% {
    transform: rotate(8deg);
  }

  100% {
    transform: rotate(0);
  }
}

.header a {
  color: inherit;
  text-decoration: none;
  font-weight: bold;
}

.header .btn.btn-primary {
  padding: 0;
  background-color: unset;
  border: none;
  height: 100%;
}

.header .btn.btn-primary a {
  display: flex;
  align-items: center;
  background-color: var(--main-color);
  color: #fff;
  padding: 8px;
  font-size: 12px;
  height: 100%;
  min-height: 57px;
  transition : background-color .3s;
}
.header .btn.btn-primary a:hover {
  background-color : #ff6262 !important;
}

.header__nav {
  position: absolute;
  gap: 16px;
  font-size: 14px;
  opacity: 0;
  width: 0;
  height: 0;
  color: transparent;
  transition: opacity .3s;
}
  .menu-group__heading {
    margin: 0;
    font-weight: bold;
  }

.header__nav>div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: relative;
}



@media(min-width :768px) {
  .header {
    padding-left: 32px;
  }

  .header__nav {
    display: flex;
    width: auto;
    height: auto;
    opacity: 1;
    color: inherit;
    pointer-events: unset;
    position: static;
  }

  .header__nav--child {
    display: none;
    position: absolute;
    bottom: 16px;
    transform: translateY(100%);
  }

  .menu-group:hover .header__nav--child {
    display: flex;
    flex-direction: column;
    background: #fff;
    width: max-content;
    padding: 16px;
    gap: 4px;
  }

  .header .btn.btn-primary a {
    padding: 18px 32px;
    font-size: 14px;
  }
}


/* ハンバーガーメニュー */
#spMenuBtn {
  cursor: pointer;
  width: 44px;
}

#spMenuBtn.is-clicked {

  .fa-navicon:before,
  .fa-reorder:before,
  .fa-bars:before {
    content: "×";
    font-size: 1.2em;
    font-weight: bold;
  }
}

.header__nav.is-open {
  display: flex;
  left: 0;
  top: 57px;
  width: 100%;
  height: auto;
  background-color: var(--light-text-color);
  padding: 16px;
  opacity: 1;
  color: inherit;
  pointer-events: unset;
  >div:not(:first-child) {
    border-top: 1px dashed #e4d7a5;
    padding-top: 16px;
  }
  .menu-group__heading {
    margin-bottom: 8px;
  }
  .header__nav--child {
    padding-left:0.25em;
    font-size: 0.9em;
    display: flex;
    flex-direction: row;
    gap: 16px;
  }
}